Skip to main content
POST

Rate Limit

The rate limit for this endpoint is 1000 RPM.

Authorizations

Authorization
string
header
required

Authentication is done via Basic Auth. This requires a base64-encoded string of your credentials in the format 'username:password'.

  • Username: Use your MoEngage workspace ID (also known as the App ID). You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).
  • Password: Use your API Key, which you can find within the Data tile.

For more information on authentication and getting your credentials, refer here.

Headers

MOE-APPKEY
string
required

This is the Workspace ID of your MoEngage account that must be passed with the request. You can find it in the MoEngage dashboard at Settings > Account > APIs > Workspace ID (earlier app id).

Body

application/json

The request body contains the parameters required to identify and retrieve the message.

user_id
string
required

This field denotes the unique identifier of the user.

delivery_type
enum<string>
required

This field denotes the delivery type of the channel.

Available options:
ONE_TIME,
PERIODIC,
EVENT_TRIGGERED,
LOCATION_TRIGGERED,
DEVICE_TRIGGERED,
API_TRIGGERED,
BUSINESS_EVENT_TRIGGERED
campaign_type
enum<string>
required

This field denotes the campaign type.

Supported Values:

  • Push: General Push Campaign, Autotrigger Campaign, Geo-fencing Campaign, Business Event Trigger Push Campaign
  • SMS: sms, Business Event Trigger SMS Campaign
  • Email: Email Campaign, Email Triggers, Business Event Trigger Email Campaign
  • Alerts: Inform Email, Inform SMS, Inform Push
Available options:
General Push Campaign,
Autotrigger Campaign,
Geo-fencing Campaign,
Business Event Trigger Push Campaign,
sms,
Business Event Trigger SMS Campaign,
Email Campaign,
Email Triggers,
Business Event Trigger Email Campaign,
Inform Email,
Inform SMS,
Inform Push
campaign_channel
enum<string>
required

The campaign channel.

Available options:
EMAIL,
SMS,
PUSH,
FLOWS
sent_epoch_time
integer<int64>
required

The sent time of the campaign as a Unix epoch timestamp.

Example:

1716972486

campaign_id
string
required

This field denotes the campaign ID.

event_name
enum<string>
required

The name of the event (e.g., 'Email Sent', 'SMS Sent', 'Notification Sent iOS').

Available options:
Email Sent,
SMS Sent,
Notification Sent iOS,
Notification Received Android,
Notification Received Web
platform
enum<string>
required

The target platform of the campaign.

Available options:
IOS,
ANDROID,
WEB,
EMAIL,
SMS,
MWEB
event_id
string

The event ID. Required for event-triggered campaigns.

  • You must pass moe_event_id if any event attribute is present for campaigns.
  • You must pass moe_transaction_id for alerts.

Response

Success. The server successfully processed the request, but is not returning any content.

status
boolean
Example:

true

data
object